Fiest Developers

Set the online-ordering menu

Makes a non-empty reviewed menu the restaurant online-ordering menu. Expected menu counts and the current online-menu ID prevent publishing stale state.

PUT/v1/restaurants/{restaurantId}/menus/online

Makes a non-empty reviewed menu the restaurant online-ordering menu. Expected menu counts and the current online-menu ID prevent publishing stale state. Organization-boundary tokens also require fiest.organization.read.

Quick request

curl -X PUT "https://example.com/v1/restaurants/11111111-1111-4111-8111-111111111111/menus/online" \  -H "Authorization: Bearer $FIEST_ACCESS_TOKEN" \  -H "Content-Type: application/json" \  -d '{    "menuPublicId": "43f64da8-4ec2-4900-b137-1c0927c975d2",    "expectedCategoryCount": 2,    "expectedItemCount": 8,    "expectedCurrentOnlineMenuPublicId": null,    "idempotencyKey": "bbbbbbbb-bbbb-4bbb-8bbb-bbbbbbbbbbbb",    "confirmed": true  }'
{  "data": {    "actionId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",    "restaurantId": "11111111-1111-4111-8111-111111111111",    "menu": {      "menuPublicId": "43f64da8-4ec2-4900-b137-1c0927c975d2",      "name": "Lunch menu",      "activeForPos": false,      "onlineOrdering": true,      "categoryCount": 2,      "itemCount": 8    },    "previousOnlineMenuPublicId": null,    "replayed": false  }}

Authorization

fiestOAuth fiest.restaurant.read, fiest.menu.read, fiest.menu.publish.write
AuthorizationBearer <token>

OAuth 2.1 authorization code with PKCE. Partner clients and redirect URIs must be approved by Fiest before use.

In: header

Scope: fiest.restaurant.read, fiest.menu.read, fiest.menu.publish.write

Path Parameters

restaurantId*string

A restaurant identifier returned by the authorized restaurant list.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json